## org.eclipse.jst.jsf.common.metadata.query
Interface ITaglibDomainMetaDataModelContext

All Superinterfaces:
  IMetaDataModelContext, IModelContext

Deprecated. - Helios

    public interface ITaglibDomainMetaDataModelContext

extends IMetaDataModelContext

Context for determining the Model to locate in the MetaDataManager

Should NOT be implemented by clients

Provisional API - subject to change

Method Summary
`IProject` `getProject()` Deprecated.
`java.lang.String` `getURI()` Deprecated.

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataModelContext
`getDomainID`

Method Detail

### getProject

    IProject getProject()

  Deprecated.
  Returns:
    project

### getURI

    java.lang.String getURI()

  Deprecated.
  Returns:
    the namespace URI as String